Bug 1295169 - fontmatrix included non-free content.
fontmatrix included non-free content.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fontmatrix (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2016-01-03 02:29 EST by mejiko
Modified: 2016-08-27 06:44 EDT (History)
4 users (show)

See Also:
Fixed In Version: fontmatrix-0.9.99-27.r1218.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-27 06:44:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 787350 None None None 2016-01-03 02:29 EST

  None (edit)
Description mejiko 2016-01-03 02:29:40 EST
Hello.

fontmatrix included non-free code, Please see Debuan bug number "787350" datails.
I think that this package be affected by debian bug number "787350".

and, "fontmatrix-0.9.99-Source/src/icons/action-copy-char.svg" license is CC-BY-SA.

I suggests that resolve license problem and add license tag.

Thanks.


Reference:

https://bugs.debian.org/cgi-bin/bugreport.cgi?archive=no&bug=787350
Comment 1 mejiko 2016-01-03 02:30:24 EST
Blocking FE-Legal, This is license problem.
Comment 2 Parag Nemade 2016-01-12 06:54:55 EST
Where can i find the debian lintian output for fontmatrix. The link given in that bug is pointing to freecad package?

What am I missing to find in source tarball that says those files are cc-by-nc-sa ?
Comment 3 Parag Nemade 2016-01-12 06:57:49 EST
huh! licensecheck command in Fedora is unable to check licenses on svg files. You are correct those files are cc-by-sa and cc-by-nc-sa files.
Comment 4 Parag Nemade 2016-01-14 02:31:50 EST
I can fix this by recreating svg files.
There is source information given in application-fontmatrix-vectors.svg and application-fontmatrix-systray-vectors.svg files. I will use those png sources and using convert command save them as svg files and package it under cc-by-sa license. I will then change the license tag to
GPLv2+ and CC-BY-SA

Does this look okay to you?
Comment 5 Jan Kurik 2016-02-24 09:12:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 6 Parag Nemade 2016-08-06 09:49:53 EDT
mejiko, 
   You have not replied to my question in comment#4. This bug will open forever if I will not get your opinion.
Comment 7 mejiko 2016-08-06 20:52:40 EDT
(In reply to Parag Nemade from comment #4)
> I will use those png
> sources and using convert command save them as svg files and package it
> under cc-by-sa license. 

I has two questions.

1) What is "png sources" ? (author, copyright owner, source infomation, etc ...)

2) Is "png source" licensed under ?


If 1 is clear and 2 is Fedora acceptable license (E,g GPL, CC-BY-SA, etc...), It is OK.


Reference:

https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Content_Licenses
Comment 8 Parag Nemade 2016-08-08 03:33:26 EDT
I revisited this and did not understand why I thought last time to convert svg to png sources.

The simplest solution is to remove those 2 problematic non-free source application-fontmatrix-vectors.svg and application-fontmatrix-systray-vectors.svg files. They are not getting used anywhere as long as I tried to test fontmatrix again.
Comment 9 Fedora Update System 2016-08-10 03:55:37 EDT
fontmatrix-0.9.99-27.r1218.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3c4d4de2f2
Comment 10 Fedora Update System 2016-08-10 14:55:27 EDT
fontmatrix-0.9.99-27.r1218.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3c4d4de2f2
Comment 11 Fedora Update System 2016-08-27 06:44:05 EDT
fontmatrix-0.9.99-27.r1218.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.